<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionTargets.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d9f/_action_targets_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ActionTargets.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d2/d9f/_action_targets_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html">VicinityObjects</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">objects in vicinity - extended with secondary object which is parent of that <a class="el" href="../../d8/d83/class_object.html">Object</a>  <a href="../../df/d59/class_vicinity_objects.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dba/class_action_targets.html">ActionTargets</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddd/class_object_group.html">ObjectGroup</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9d45431080a747c3e61c8e0d518ab055"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../df/d59/class_vicinity_objects.html">VicinityObjects</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a9d45431080a747c3e61c8e0d518ab055">ActionTarget</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object, <a class="el" href="../../d8/d83/class_object.html">Object</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> componentIndex, <a class="el" href="../../d7/dfc/classvector.html">vector</a> cursorHitPos, <a class="el" href="../../d4/dc3/classfloat.html">float</a> utility)</td></tr>
<tr class="separator:a9d45431080a747c3e61c8e0d518ab055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1a8fadc7224d0b203cb2a6c99cf8d7d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#af1a8fadc7224d0b203cb2a6c99cf8d7d">VicinityObjects</a> ()</td></tr>
<tr class="separator:af1a8fadc7224d0b203cb2a6c99cf8d7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e91f43ffffa4123edc8f4e8e0d2dfc7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a4e91f43ffffa4123edc8f4e8e0d2dfc7">StoreVicinityObject</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object, <a class="el" href="../../d8/d83/class_object.html">Object</a> parent=null)</td></tr>
<tr class="memdesc:a4e91f43ffffa4123edc8f4e8e0d2dfc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">stores VicinityObject to Hashmap - for storing of parent/child relationship  <a href="../../d2/d9f/_action_targets_8c.html#a4e91f43ffffa4123edc8f4e8e0d2dfc7">More...</a><br /></td></tr>
<tr class="separator:a4e91f43ffffa4123edc8f4e8e0d2dfc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8c8069392de1017b9ccce349f31f83a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#af8c8069392de1017b9ccce349f31f83a">TransformToVicinityObjects</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; objects)</td></tr>
<tr class="memdesc:af8c8069392de1017b9ccce349f31f83a"><td class="mdescLeft">&#160;</td><td class="mdescRight">transform simple array of Objects to <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> hashmap  <a href="../../d2/d9f/_action_targets_8c.html#af8c8069392de1017b9ccce349f31f83a">More...</a><br /></td></tr>
<tr class="separator:af8c8069392de1017b9ccce349f31f83a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a990116c03179572f1447df300ce17cda"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a990116c03179572f1447df300ce17cda">ClearVicinityObjects</a> ()</td></tr>
<tr class="separator:a990116c03179572f1447df300ce17cda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b7a41a7a890d293c63e769285db1333"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a1b7a41a7a890d293c63e769285db1333">GetVicinityObjects</a> ()</td></tr>
<tr class="memdesc:a1b7a41a7a890d293c63e769285db1333"><td class="mdescLeft">&#160;</td><td class="mdescRight">return simple array of Objects in Vicinity  <a href="../../d2/d9f/_action_targets_8c.html#a1b7a41a7a890d293c63e769285db1333">More...</a><br /></td></tr>
<tr class="separator:a1b7a41a7a890d293c63e769285db1333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a791202b6bf1442b19099f2f4c1e3ab4f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a791202b6bf1442b19099f2f4c1e3ab4f">GetRawVicinityObjects</a> ()</td></tr>
<tr class="memdesc:a791202b6bf1442b19099f2f4c1e3ab4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">return simple array of Objects in Vicinity  <a href="../../d2/d9f/_action_targets_8c.html#a791202b6bf1442b19099f2f4c1e3ab4f">More...</a><br /></td></tr>
<tr class="separator:a791202b6bf1442b19099f2f4c1e3ab4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accfeb500920c4237201f3af5055bad94"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#accfeb500920c4237201f3af5055bad94">GetObject</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="memdesc:accfeb500920c4237201f3af5055bad94"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Key  <a href="../../d2/d9f/_action_targets_8c.html#accfeb500920c4237201f3af5055bad94">More...</a><br /></td></tr>
<tr class="separator:accfeb500920c4237201f3af5055bad94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64e05e5e4ceabd2b3bae3490d6f43254"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a64e05e5e4ceabd2b3bae3490d6f43254">GetParent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="memdesc:a64e05e5e4ceabd2b3bae3490d6f43254"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Element  <a href="../../d2/d9f/_action_targets_8c.html#a64e05e5e4ceabd2b3bae3490d6f43254">More...</a><br /></td></tr>
<tr class="separator:a64e05e5e4ceabd2b3bae3490d6f43254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0fa55bc2383cd6fd88110f1935df0a6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#ac0fa55bc2383cd6fd88110f1935df0a6">Count</a> ()</td></tr>
<tr class="separator:ac0fa55bc2383cd6fd88110f1935df0a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3451511ebbf29b2710c82750dfb68a83"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a3451511ebbf29b2710c82750dfb68a83">Remove</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a3451511ebbf29b2710c82750dfb68a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaded85c681ea4da5460dfa3a160da9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#abaded85c681ea4da5460dfa3a160da9d">Remove</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; objects)</td></tr>
<tr class="separator:abaded85c681ea4da5460dfa3a160da9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa4160de65ac77debe2902527ebfc4f2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#aaa4160de65ac77debe2902527ebfc4f2">GetObject</a> ()</td></tr>
<tr class="separator:aaa4160de65ac77debe2902527ebfc4f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d63886deac2f225cc139143f9d79141"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga1d63886deac2f225cc139143f9d79141">GetParent</a> ()</td></tr>
<tr class="memdesc:ga1d63886deac2f225cc139143f9d79141"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parent of the Effect.  <a href="../../d9/d0e/group___widget_a_p_i.html#ga1d63886deac2f225cc139143f9d79141">More...</a><br /></td></tr>
<tr class="separator:ga1d63886deac2f225cc139143f9d79141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afee33344cd3d639572a2716f2d58b8ac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#afee33344cd3d639572a2716f2d58b8ac">IsProxy</a> ()</td></tr>
<tr class="separator:afee33344cd3d639572a2716f2d58b8ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7dd4ba1394cd8dd31cbb8e6503296e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#ac7dd4ba1394cd8dd31cbb8e6503296e3">GetComponentIndex</a> ()</td></tr>
<tr class="separator:ac7dd4ba1394cd8dd31cbb8e6503296e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae0edf0e9c717786db9a052e11af44c9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#aae0edf0e9c717786db9a052e11af44c9">GetUtility</a> ()</td></tr>
<tr class="separator:aae0edf0e9c717786db9a052e11af44c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6c85d959facfff27a1eb9414e67685"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a8b6c85d959facfff27a1eb9414e67685">GetCursorHitPos</a> ()</td></tr>
<tr class="separator:a8b6c85d959facfff27a1eb9414e67685"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af355f15b0f5f1b7b852fb8d106fd5097"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#af355f15b0f5f1b7b852fb8d106fd5097">SetCursorHitPos</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> cursor_position)</td></tr>
<tr class="separator:af355f15b0f5f1b7b852fb8d106fd5097"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0743332adb9e42d9649867045521ebb5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a0743332adb9e42d9649867045521ebb5">DbgPrintTargetDump</a> ()</td></tr>
<tr class="separator:a0743332adb9e42d9649867045521ebb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae398a2cb0008e523c8a5ca822e4c2b1a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#ae398a2cb0008e523c8a5ca822e4c2b1a">DumpToString</a> ()</td></tr>
<tr class="separator:ae398a2cb0008e523c8a5ca822e4c2b1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a564c27119191617facba98ffc63f90ae"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a>, <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a564c27119191617facba98ffc63f90ae">m_VicinityObjects</a></td></tr>
<tr class="separator:a564c27119191617facba98ffc63f90ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade7d625dc51a57b7f6a93b9fab619bce"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#ade7d625dc51a57b7f6a93b9fab619bce">m_Object</a></td></tr>
<tr class="separator:ade7d625dc51a57b7f6a93b9fab619bce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be0aa4cc36872ee6b1c02e0805c834f"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a9be0aa4cc36872ee6b1c02e0805c834f">m_Parent</a></td></tr>
<tr class="separator:a9be0aa4cc36872ee6b1c02e0805c834f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47c85c3523e4cf037f184b09b36157ae"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a47c85c3523e4cf037f184b09b36157ae">m_ComponentIndex</a></td></tr>
<tr class="separator:a47c85c3523e4cf037f184b09b36157ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a430c58e45194d44b9ef8111373b275c0"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a430c58e45194d44b9ef8111373b275c0">m_CursorHitPos</a></td></tr>
<tr class="separator:a430c58e45194d44b9ef8111373b275c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ef56471262de36c08e2a416f95ae18e"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a5ef56471262de36c08e2a416f95ae18e">m_Utility</a></td></tr>
<tr class="separator:a5ef56471262de36c08e2a416f95ae18e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ab3de6f698cb230ae0c129e3e01b341"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../df/dba/class_action_targets.html">ActionTargets</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></td></tr>
<tr class="separator:a2ab3de6f698cb230ae0c129e3e01b341"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9d45431080a747c3e61c8e0d518ab055" name="a9d45431080a747c3e61c8e0d518ab055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d45431080a747c3e61c8e0d518ab055">&#9670;&#160;</a></span>ActionTarget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../df/d59/class_vicinity_objects.html">VicinityObjects</a> ActionTarget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>componentIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>cursorHitPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>utility</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a990116c03179572f1447df300ce17cda" name="a990116c03179572f1447df300ce17cda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a990116c03179572f1447df300ce17cda">&#9670;&#160;</a></span>ClearVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTarget::ClearVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00156">156</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ac0fa55bc2383cd6fd88110f1935df0a6" name="ac0fa55bc2383cd6fd88110f1935df0a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0fa55bc2383cd6fd88110f1935df0a6">&#9670;&#160;</a></span>Count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionTarget::Count </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00202">202</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a0743332adb9e42d9649867045521ebb5" name="a0743332adb9e42d9649867045521ebb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0743332adb9e42d9649867045521ebb5">&#9670;&#160;</a></span>DbgPrintTargetDump()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DbgPrintTargetDump </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00149">149</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ae398a2cb0008e523c8a5ca822e4c2b1a" name="ae398a2cb0008e523c8a5ca822e4c2b1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae398a2cb0008e523c8a5ca822e4c2b1a">&#9670;&#160;</a></span>DumpToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DumpToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00154">154</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ac7dd4ba1394cd8dd31cbb8e6503296e3" name="ac7dd4ba1394cd8dd31cbb8e6503296e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7dd4ba1394cd8dd31cbb8e6503296e3">&#9670;&#160;</a></span>GetComponentIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetComponentIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00135">135</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a8b6c85d959facfff27a1eb9414e67685" name="a8b6c85d959facfff27a1eb9414e67685"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b6c85d959facfff27a1eb9414e67685">&#9670;&#160;</a></span>GetCursorHitPos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> GetCursorHitPos </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00141">141</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aaa4160de65ac77debe2902527ebfc4f2" name="aaa4160de65ac77debe2902527ebfc4f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa4160de65ac77debe2902527ebfc4f2">&#9670;&#160;</a></span>GetObject() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> GetObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00122">122</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="accfeb500920c4237201f3af5055bad94" name="accfeb500920c4237201f3af5055bad94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accfeb500920c4237201f3af5055bad94">&#9670;&#160;</a></span>GetObject() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> ActionTarget::GetObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Key </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00191">191</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a64e05e5e4ceabd2b3bae3490d6f43254" name="a64e05e5e4ceabd2b3bae3490d6f43254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64e05e5e4ceabd2b3bae3490d6f43254">&#9670;&#160;</a></span>GetParent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> ActionTarget::GetParent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Element </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00197">197</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a791202b6bf1442b19099f2f4c1e3ab4f" name="a791202b6bf1442b19099f2f4c1e3ab4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a791202b6bf1442b19099f2f4c1e3ab4f">&#9670;&#160;</a></span>GetRawVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; ActionTarget::GetRawVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>return simple array of Objects in Vicinity </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00179">179</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aae0edf0e9c717786db9a052e11af44c9" name="aae0edf0e9c717786db9a052e11af44c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae0edf0e9c717786db9a052e11af44c9">&#9670;&#160;</a></span>GetUtility()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetUtility </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00138">138</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a1b7a41a7a890d293c63e769285db1333" name="a1b7a41a7a890d293c63e769285db1333"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b7a41a7a890d293c63e769285db1333">&#9670;&#160;</a></span>GetVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; ActionTarget::GetVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>return simple array of Objects in Vicinity </p>
<p >filters out non-takeable items (won't be shown in vicinity)</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00162">162</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="afee33344cd3d639572a2716f2d58b8ac" name="afee33344cd3d639572a2716f2d58b8ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afee33344cd3d639572a2716f2d58b8ac">&#9670;&#160;</a></span>IsProxy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsProxy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00128">128</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="abaded85c681ea4da5460dfa3a160da9d" name="abaded85c681ea4da5460dfa3a160da9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaded85c681ea4da5460dfa3a160da9d">&#9670;&#160;</a></span>Remove() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTarget::Remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td>
          <td class="paramname"><em>objects</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00212">212</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a3451511ebbf29b2710c82750dfb68a83" name="a3451511ebbf29b2710c82750dfb68a83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3451511ebbf29b2710c82750dfb68a83">&#9670;&#160;</a></span>Remove() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTarget::Remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00207">207</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="af355f15b0f5f1b7b852fb8d106fd5097" name="af355f15b0f5f1b7b852fb8d106fd5097"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af355f15b0f5f1b7b852fb8d106fd5097">&#9670;&#160;</a></span>SetCursorHitPos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetCursorHitPos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>cursor_position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00144">144</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a4e91f43ffffa4123edc8f4e8e0d2dfc7" name="a4e91f43ffffa4123edc8f4e8e0d2dfc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e91f43ffffa4123edc8f4e8e0d2dfc7">&#9670;&#160;</a></span>StoreVicinityObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTarget::StoreVicinityObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>parent</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>stores VicinityObject to Hashmap - for storing of parent/child relationship </p>
<p >completely remove items that are being placed or are holograms</p>
<p >ignores plain objects</p>
<p >init of <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> - object, parent(if exists)</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00122">122</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="af8c8069392de1017b9ccce349f31f83a" name="af8c8069392de1017b9ccce349f31f83a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8c8069392de1017b9ccce349f31f83a">&#9670;&#160;</a></span>TransformToVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTarget::TransformToVicinityObjects </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td>
          <td class="paramname"><em>objects</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>transform simple array of Objects to <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> hashmap </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00144">144</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="af1a8fadc7224d0b203cb2a6c99cf8d7d" name="af1a8fadc7224d0b203cb2a6c99cf8d7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1a8fadc7224d0b203cb2a6c99cf8d7d">&#9670;&#160;</a></span>VicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTarget::VicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00116">116</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a2ab3de6f698cb230ae0c129e3e01b341" name="a2ab3de6f698cb230ae0c129e3e01b341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ab3de6f698cb230ae0c129e3e01b341">&#9670;&#160;</a></span>ActionTarget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../df/dba/class_action_targets.html">ActionTargets</a> ActionTarget</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47c85c3523e4cf037f184b09b36157ae" name="a47c85c3523e4cf037f184b09b36157ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47c85c3523e4cf037f184b09b36157ae">&#9670;&#160;</a></span>m_ComponentIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_ComponentIndex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00168">168</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a430c58e45194d44b9ef8111373b275c0" name="a430c58e45194d44b9ef8111373b275c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a430c58e45194d44b9ef8111373b275c0">&#9670;&#160;</a></span>m_CursorHitPos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d7/dfc/classvector.html">vector</a> m_CursorHitPos</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00169">169</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ade7d625dc51a57b7f6a93b9fab619bce" name="ade7d625dc51a57b7f6a93b9fab619bce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade7d625dc51a57b7f6a93b9fab619bce">&#9670;&#160;</a></span>m_Object</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d8/d83/class_object.html">Object</a> m_Object</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00166">166</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a9be0aa4cc36872ee6b1c02e0805c834f" name="a9be0aa4cc36872ee6b1c02e0805c834f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9be0aa4cc36872ee6b1c02e0805c834f">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d8/d83/class_object.html">Object</a> m_Parent</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00167">167</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a5ef56471262de36c08e2a416f95ae18e" name="a5ef56471262de36c08e2a416f95ae18e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef56471262de36c08e2a416f95ae18e">&#9670;&#160;</a></span>m_Utility</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_Utility</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00170">170</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a564c27119191617facba98ffc63f90ae" name="a564c27119191617facba98ffc63f90ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a564c27119191617facba98ffc63f90ae">&#9670;&#160;</a></span>m_VicinityObjects</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d8/d83/class_object.html">Object</a>, <a class="el" href="../../d8/d83/class_object.html">Object</a>&gt; m_VicinityObjects</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00114">114</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../d2/d9f/_action_targets_8c.html">ActionTargets.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
